import { api, ParseSyncRulesOptions } from '@powersync/service-core';
import * as pgwire from '@powersync/service-jpgwire';
import * as sync_rules from '@powersync/service-sync-rules';
import * as service_types from '@powersync/service-types';
import * as types from '../types/types.js';
export declare class PostgresRouteAPIAdapter implements api.RouteAPI {
    protected pool: pgwire.PgClient;
    private config?;
    connectionTag: string;
    publicationName: string;
    static withConfig(config: types.ResolvedConnectionConfig): PostgresRouteAPIAdapter;
    /**
     * @param config - Required for the service; optional for tests.
     */
    constructor(pool: pgwire.PgClient, connectionTag?: string, config?: types.ResolvedConnectionConfig | undefined);
    getParseSyncRulesOptions(): ParseSyncRulesOptions;
    shutdown(): Promise<void>;
    getSourceConfig(): Promise<service_types.configFile.ResolvedDataSourceConfig>;
    getConnectionStatus(): Promise<service_types.ConnectionStatusV2>;
    executeQuery(query: string, params: any[]): Promise<service_types.internal_routes.ExecuteSqlResponse>;
    getDebugTablesInfo(tablePatterns: sync_rules.TablePattern[], sqlSyncRules: sync_rules.SqlSyncRules): Promise<api.PatternResult[]>;
    protected getDebugTableInfo(tablePattern: sync_rules.TablePattern, name: string, relationId: number | null, syncRules: sync_rules.SqlSyncRules): Promise<service_types.TableInfo>;
    getReplicationLag(options: api.ReplicationLagOptions): Promise<number | undefined>;
    getReplicationHead(): Promise<string>;
    getConnectionSchema(): Promise<service_types.DatabaseSchema[]>;
}
